v2.2.3.0 library module limitations

General discussion relating to the library modules supplied with the compiler

Moderators: Jerry Messina, David Barker

Post Reply
Jerry Messina
Registered User
Registered User
Posts: 1108
Joined: Fri Jan 30, 2009 6:27 pm
Location: US

v2.2.3.0 library module limitations

Post by Jerry Messina » Mon Nov 11, 2019 11:52 am

The v2.2.3.0 update does not provide library support for all devices. Here are some of the limitations:

USARTx.bas
The update supports basic async operation only, and none of the newer features found on some devices.

I2C.bas/SPI.bas
While the modules have been updated, they only work with devices that have an MSSP peripheral.
Some newer devices (such as the K42/K83) have removed the MSSP and replaced it with dedicated I2C and SPI peripherals.
If the device.bas file has the following:

Code: Select all

#const _mssp = $00                     // MSSP module NOT supported
then I would recommend using the software versions of these modules (SI2C.bas/SSPI.bas) since the hardware is not compatible with the old libraries.

ADC.bas
This has not been updated from the original version. It seems there are almost as many ADC configurations as there are devices, so I gave up on this one years ago. Good luck!

Post Reply